Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultChapterIVQualificationListType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVQualificationListType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultChapterIVQualificationListType extends Object implements Serializable

Java class for ConsultChapterIVQualificationListType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultChapterIVQualificationListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CreatedTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="CreatedUserId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Qualification" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVTextType"/>
             <element name="ExclusiveInd" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ModificationStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ProfessionalAuthorisation" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVProfessionalAuthorisationType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="QualificationList" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultChapterIVQualificationListType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getCreatedTimestamp()`
  Record created on
  `String`
  `getCreatedUserId()`
  Record created by
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `String`
  `getExclusiveInd()`
  Indicates whether qualifications in the list should all apply simultaneously or just one.
  `String`
  `getModificationStatus()`
  Indicates the reason of eventual updating.
  `List<ConsultChapterIVProfessionalAuthorisationType>`
  `getProfessionalAuthorisations()`
  Gets the value of the professionalAuthorisations property.
  `ConsultChapterIVTextType`
  `getQualification()`
  Text describing
  `String`
  `getQualificationList()`
  Listname of the list of professional qualification or codes as defined by the NIHDI
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setCreatedTimestamp(Instant value)`
  Sets the value of the createdTimestamp property.
  `void`
  `setCreatedUserId(String value)`
  Sets the value of the createdUserId property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setExclusiveInd(String value)`
  Sets the value of the exclusiveInd property.
  `void`
  `setModificationStatus(String value)`
  Sets the value of the modificationStatus property.
  `void`
  `setQualification(ConsultChapterIVTextType value)`
  Sets the value of the qualification property.
  `void`
  `setQualificationList(String value)`
  Sets the value of the qualificationList property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultChapterIVQualificationListType

    public ConsultChapterIVQualificationListType()

- ## Method Details

  - ### getCreatedTimestamp

    public Instant getCreatedTimestamp()
    Record created on
    Returns:
      possible object is `String`

  - ### setCreatedTimestamp

    public void setCreatedTimestamp(Instant value)
    Sets the value of the createdTimestamp property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedTimestamp()`

  - ### getCreatedUserId

    public String getCreatedUserId()
    Record created by
    Returns:
      possible object is `String`

  - ### setCreatedUserId

    public void setCreatedUserId(String value)
    Sets the value of the createdUserId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedUserId()`

  - ### getQualification

    public ConsultChapterIVTextType getQualification()
    Text describing
    Returns:
      possible object is `ConsultChapterIVTextType`

  - ### setQualification

    public void setQualification(ConsultChapterIVTextType value)
    Sets the value of the qualification property.
    Parameters:
      `value` - allowed object is `ConsultChapterIVTextType`
    See Also:
      - `getQualification()`

  - ### getExclusiveInd

    public String getExclusiveInd()
    Indicates whether qualifications in the list should all apply simultaneously or just one. 1 = OR; 2 = AND
    Returns:
      possible object is `String`

  - ### setExclusiveInd

    public void setExclusiveInd(String value)
    Sets the value of the exclusiveInd property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getExclusiveInd()`

  - ### getModificationStatus

    public String getModificationStatus()
    Indicates the reason of eventual updating. ‘C’orrected, ‘E’volved
    Returns:
      possible object is `String`

  - ### setModificationStatus

    public void setModificationStatus(String value)
    Sets the value of the modificationStatus property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getModificationStatus()`

  - ### getProfessionalAuthorisations

    public List<ConsultChapterIVProfessionalAuthorisationType> getProfessionalAuthorisations()
    Gets the value of the professionalAuthorisations property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the professionalAuthorisations property.

    For example, to add a new item, do as follows:

         getProfessionalAuthorisations().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultChapterIVProfessionalAuthorisationType`

    Returns:
      The value of the professionalAuthorisations property.

  - ### getQualificationList

    public String getQualificationList()
    Listname of the list of professional qualification or codes as defined by the NIHDI
    Returns:
      possible object is `String`

  - ### setQualificationList

    public void setQualificationList(String value)
    Sets the value of the qualificationList property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getQualificationList()`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`